petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatShellGetContext

Returns the user-provided context associated with a shell matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatShellGetContext(Mat mat,void *ctx)

Not Collective

### Input Parameter

mat -the matrix, should have been created with MatCreateShell()

### Output Parameter

ctx -the user provided context

### Notes

This routine is intended for use within various shell matrix routines, as set with MatShellSetOperation().

### Keywords

matrix, shell, get, context

### See Also

MatCreateShell(), MatShellSetOperation(), MatShellSetContext()

Level:advanced
Location:src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html